import { Factory } from "./factory.js";
export type Payload = string;
export type Thing = {
    [label: string]: any;
};
export declare class Item<T extends Thing> {
    id: string;
    idx: number;
    item_set?: number;
    factory: Factory<T>;
    item: T;
    constructor(id: string, idx: number, factory: Factory<T>, item: T, item_set?: number);
    save(): Promise<void>;
}
