export class Item {
    id;
    idx;
    item_set;
    factory;
    item;
    constructor(id, idx, factory, item, item_set) {
        this.id = id;
        this.idx = idx;
        this.factory = factory;
        this.item = item;
        this.item_set = item_set;
    }
    async save() {
        const payload = this.factory.transformItem(this.item, this.item_set);
        const resp = await this.factory.config.put("items/" + this.idx, payload);
        await resp.json();
    }
}
